using System;
using System.Collections.Generic;
using System.Text;

namespace BinaryTreeTest
{
    public class City : IComparable<City>
    {
        private string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public City(string Name)
        {
            this.Name = Name;
        }

        #region IComparable<City> Members

        public int CompareTo(City other)
        {
            return this.Name.CompareTo(other.Name);
        }

        #endregion
    }
}
